%define upstream_name zstandard

Name:       python-%{upstream_name}
Version:    0.14.0
Release:    %mkrel 1
Summary:    Zstandard bindings for Python
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/zstandard
Source0:    https://files.pythonhosted.org/packages/1b/a7/97b157508923ec0c2d27cdc23003cb096fa50ae38ded6e54adcbca3dca35/zstandard-%{version}.tar.gz

%description
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%package -n     python3-%{upstream_name}
Summary:        Extract the top-level domain (TLD) from the URL given
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3.8dist(cffi)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

# drop bundled -egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitearch}/zstandard
%{python3_sitearch}/zstandard-%{version}-*.egg-info
%{python3_sitearch}/zstd.cpython-*.so
%{python3_sitearch}/_zstd_cffi.cpython-*.so


%changelog
* Sun Jun 28 2020 guillomovitch <guillomovitch> 0.14.0-1.mga8
+ Revision: 1600071
- imported package python-zstandard

